Bug 468317 - snd_hda_intel on inspiron 1525 needs option to work with headphones
snd_hda_intel on inspiron 1525 needs option to work with headphones
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://bbs.archlinux.org/viewtopic.ph...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 23:16 EDT by Josh Cogliati
Modified: 2009-07-14 10:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Cogliati 2008-10-23 23:16:29 EDT
Description of problem:
The sound works fine from the speakers.  However, if you plug in the headphones the sound starts decreasing, and it about a minute it becomes too quiet to hear.  This happens whether or not the pulseaudio server is running.  

See also the arch linux discussion at the url.

Version-Release number of selected component (if applicable):
udev-124-2.fc9.x86_64
Linux localhost.localdomain 2.6.26.5-45.fc9.x86_64 #1 SMP Sat Sep 20 03:23:12 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Every time the headphones are plugged in.  

For reference Opensuse 11.0 has the problem as well.  The Ubuntu 8.04 i386 that came with the Inspiron did not have the problem. 

Steps to Reproduce:
1. Use some audio program (Rythymbox and Amarok both work) on some long playing file.  
2. Plug in headphones
3. Listen to the sound go away.  
  
Actual results:
Sound stops playing.  Rebooting with the headphones out 'solves' problem'

Expected results:
Sound would keep playing.  


Additional info:
If you create a file /etc/modprobe.d/sound with the following in it:
options snd-hda-intel model=dell-3stack

sound with the headphones then work. So basically, to fix this bug somehow that option needs to be added to the modprobe file.  

# lspci -v -s 00:1b
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
	Subsystem: Dell Unknown device 022f
	Flags: bus master, fast devsel, latency 0, IRQ 21
	Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel
Comment 1 Josh Cogliati 2008-11-11 23:23:39 EST
Seems to be fixed in F10-preview release.
Comment 2 Edney Matias 2009-01-23 16:37:42 EST
I have a problem like this, my hardware exactly the same, here it's

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: Dell Device 0227
        Flags: bus master, fast devsel, latency 0, IRQ 21
        Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

But doing as stated here doesn't work the expected way. My notebook is a Dell Vostro 1400 and it has two headphones output on front of it. The first, the one that used to work, doesn't work anymore after an update and don't work with the workaround suggested here. Instead, the second output started to work, which never did before, but when i plug the headphone i get audio on them and on the speakers.

My kernel version is

Linux r2d2 2.6.27.9-159.fc10.x86_64 #1 SMP Tue Dec 16 14:47:52 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
Comment 3 Bug Zapper 2009-06-09 23:04:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:23:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.